# is-registered [![NPM version](https://img.shields.io/npm/v/is-registered.svg?style=flat)](https://www.npmjs.com/package/is-registered) [![NPM downloads](https://img.shields.io/npm/dm/is-registered.svg?style=flat)](https://npmjs.org/package/is-registered) [![Build Status](https://img.shields.io/travis/jonschlinkert/is-registered.svg?style=flat)](https://travis-ci.org/jonschlinkert/is-registered)

Util for Base that optionally prevents a plugin from being registered more than once on an instance

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install is-registered --save
```

## Usage

* Returns `true` if `app` is a base instance and the named plugin is already registered on the instance.
* Returns `true` if `app` is not an object
* Returns `false` if `app` is a base instance and the plugin is not already registered on the instance

```js
var isRegistered = require('is-registered');

function plugin(app) {
  if (isRegistered(app, 'base-foo')) return;
  // do plugin stuff
}
```

## Related projects

You might also be interested in these projects:

* [base-plugins](https://www.npmjs.com/package/base-plugins): Upgrade's plugin support in base applications to allow plugins to be called any time after… [more](https://www.npmjs.com/package/base-plugins) | [homepage](https://github.com/node-base/base-plugins)
* [base](https://www.npmjs.com/package/base): base is the foundation for creating modular, unit testable and highly pluggable node.js applications, starting… [more](https://www.npmjs.com/package/base) | [homepage](https://github.com/node-base/base)

## Contributing

This document was generated by [verb](https://github.com/verbose/verb), please don't edit directly. Any changes to the readme must be made in [.verb.md](.verb.md). See [Building Docs](#building-docs).

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/is-registered/issues/new).

## Building docs

Generate readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-readme-generator && verb
```

## Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/jonschlinkert/is-registered/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on June 03, 2016._